<%@ Page Title="" Language="vb" AutoEventWireup="false" MasterPageFile="~/SIG/Puntos/MaterTemplate.Master" CodeBehind="Carrito.aspx.vb" Inherits="SGHweb.Carrito" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
<%  If Request.QueryString("e") <> "" Then%>
    <script type="text/javascript">
        $(document).ready(function () {
            var estado = '<%= Request.QueryString("e") %>';
            if (estado == "editado") {
                $('#alerta_editado').fadeIn('slow');
            } else if (estado == "eliminado") {
                $('#alerta_eliminado').fadeIn('slow');
            } else if (estado == "canjeado") {
                $('#alerta_canjeado').fadeIn('slow');
            } else if (estado == "nc") {
                $('#alerta_sin_productos').fadeIn('slow');
            } else {
                $('#alerta_borrarpuntos').fadeIn('slow');
            }
        });
    </script>
<%  End If %>
<script type="text/javascript">
    function borrar_array(id) {
        var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
        ajaxManager.ajaxRequest("eliminar," + id + ",0");
        return false;
    }
    function actualizar_array(id, bn) {
        //alert(id);
        var ajaxManager = $find("<%= RadAjaxManager1.ClientID %>");
        var cantidad = document.getElementById('numeroProducto_' + id);
        var precio = document.getElementById('precio_' + id);
        var subtotal = document.getElementById('subtotal_' + id);
        ajaxManager.ajaxRequest("actualizar," + id + "," + cantidad.value + ", " + precio.value + ", " + subtotal.value);
        return false;
    }
</script>
</telerik:RadCodeBlock>

<div class="content-top content-page">
    <div class="box pav-product-tab">
        <div id="wrapper" class="hfeed">
            <ul class="menu" runat="server" id="menu3">
            <li><a href="default.aspx?hotel=<%= Session("hotel").ToString()%>" >Volver al Catalogo</a></li>
                <div id="search" class="pull-right">
                    <input type="text" class="buscarP" id="buscarP" name="search" placeholder="Buscar" value="" />
                    <div class="button-search pavicon-search">&nbsp;
                    </div>
                </div>  
            </ul>
        </div>
    </div>
</div>

<div class="cart-info margin">
    <div id="alerta_canjeado" class="alert alert-info" style="display:none">Producto(s) canjeado(s) con exito</div>
    <div id="alerta_editado" class="alert alert-info" style="display:none">Producto editado con exito</div>
    <div id="alerta_eliminado" class="alert alert-danger" style="display:none">Producto eliminado con exito</div>
    <div id="alerta_borrarpuntos" class="alert alert-danger" style="display:none">No puede actualizar la cantidad sobre pasa los puntos</div>
    <div id="alerta_sin_productos" class="alert alert-danger" style="display:none">Su carrito se encuentra vacio</div>

    <table class="table no-border">
	    <thead class="hidden-phone">
		    <tr>
			    <td class="image">Imagen</td>
			    <td class="name">Descripcion</td>
			    <td class="quantity">Cantidad</td>
			    <td class="price">Puntos</td>
			    <td class="total">Total</td>
		    </tr>
	    </thead>
	    <tbody id="cuerpo_tabla" runat="server">
	    </tbody>
        <asp:Label ID="precio_productos" runat="server" Text="Label" Visible="false"></asp:Label>
    </table>
    
    <div id="total" style="text-align: right;">
        <h1>Total: <asp:Label ID="total_producto" runat="server" Text="0"></asp:Label> 
            <telerik:RadButton ID="btn_canjear" runat="server" Text="Canjear" 
            Skin="Windows7">
            </telerik:RadButton>
        </h1>
    </div>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
    </telerik:RadAjaxManager>
</asp:Content>